Commit 8619f749 authored by Bill MacAllister's avatar Bill MacAllister
Browse files

base::ipmi: Don't attempt to run ipmievd on jessie

parent 11df91df
UNRELEASED (2015-03-??)
release/004.034 (2015-04-08)
[yumtools] minor fix for RHEL5 and yum plugins (jlent)
UNRELEASED (2015-03-??)
[yumtools] Minor fix for RHEL5 and yum plugins. (jlent)
[cron] Add parameter to base::cron to allow anacron package to be
installed (helpful for Ubuntu systems with ubuntu-desktop
package). (adamhl)
[ipmi] Don't attempt to run ipmievd on jessie. It doesn't appear
to be available. (whm)
release/004.033 (2015-03-13)
Modify the base::ssh::config::sshd define to allow the
......
......@@ -44,19 +44,22 @@ class base::ipmi {
ensure => present,
require => Base::Os::Kernel_module['ipmi_si'];
}
service { 'ipmievd':
ensure => running,
name => 'ipmievd',
enable => true,
hasstatus => false,
status => 'pidof ipmievd',
require => [Base::Os::Kernel_module['ipmi_devintf'],
File['/etc/default/ipmievd']
],
}
file { '/etc/default/ipmievd':
source => 'puppet:///modules/base/ipmi/etc/default/ipmievd',
notify => Service['ipmievd'],
# ipmievd not available on jessie
if $::lsbdistcodename != 'jessie' {
service { 'ipmievd':
ensure => running,
name => 'ipmievd',
enable => true,
hasstatus => false,
status => 'pidof ipmievd',
require => [Base::Os::Kernel_module['ipmi_devintf'],
File['/etc/default/ipmievd']
],
}
file { '/etc/default/ipmievd':
source => 'puppet:///modules/base/ipmi/etc/default/ipmievd',
notify => Service['ipmievd'],
}
}
}
'RedHat': {
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment